Package org.apache.synapse.commons.staxon.core.json.stream.impl

## Enum Constants.SCANNER

- java.lang.Object
- - java.lang.Enum<Constants.SCANNER>
  - - org.apache.synapse.commons.staxon.core.json.stream.impl.Constants.SCANNER

- All Implemented Interfaces:
    `Serializable`, `Comparable<Constants.SCANNER>`
  Enclosing class:
    Constants

      public static enum Constants.SCANNER
      extends Enum<Constants.SCANNER>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` | Instructs the XML Reader to use the generated scanner to tokenize the JSON stream.
    `SCANNER_1` | Instructs the XML Reader to use the JSON scanner that can process anonymous nested arrays. If this scanner is used, the input stream has to be read once within the message builder to identify the type of JSON message (ie.
    `SCANNER_2` | Instructs the XML Reader to use the JSON scanner that can both process anonymous (nested/top level) arrays and adds additional tokens to the input stream to identify the type of JSON steam.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |
    `static Constants.SCANNER` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Constants.SCANNER[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Constants.SCANNER DEFAULT

      Instructs the XML Reader to use the generated scanner to tokenize the JSON stream.

    - #### SCANNER_1

          public static final Constants.SCANNER SCANNER_1

      Instructs the XML Reader to use the JSON scanner that can process anonymous nested arrays.
      If this scanner is used, the input stream has to be read once within the message builder to identify the type
      of JSON message (ie. if the payload is a JSON Object or a JSON array object.)

    - #### SCANNER_2

          public static final Constants.SCANNER SCANNER_2

      Instructs the XML Reader to use the JSON scanner that can both process anonymous (nested/top level) arrays
      and adds additional tokens to the input stream to identify the type of JSON steam. If this scanner is used, theres no need to pre-read the input stream within the message builder to identify the type
      of JSON message (ie. if the payload is a JSON Object or a JSON array object.)

  - ### Method Detail

    - #### values

          public static Constants.SCANNER[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.SCANNER c : Constants.SCANNER.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.SCANNER valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Constants.SCANNER>`